;****************************************************************************
;* FONTS.INC
;* fonts shape definitions
;* Copyright (c) 1997 by Alberto Ricci Bitti
;* a.riccibitti@ra.nettuno.it
;****************************************************************************


;* include byte values defined as strings for easy font shape declarations
.include "vis_byte.h"


.ESEG                   ;character set tables stored in EEPROM
			;each 5x7 font matrix takes 5 byte, rotated 90 degrees

	;font table offsets
	.EQU    Font_0 = 0
	.EQU    Font_1 = 5
	.EQU    Font_2 = 10
	.EQU    Font_3 = 15
	.EQU    Font_4 = 20
	.EQU    Font_5 = 25
	.EQU    Font_6 = 30
	.EQU    Font_7 = 35
	.EQU    Font_8 = 40
	.EQU    Font_9 = 45
	.EQU    Font_V = 50
	.EQU    Font_MINUS = 55
	;the following are special reduced size fonts
	.EQU    Font_DOT = 60
	.EQU    Font_DBLDOT = 62

	;character set tables stored in EEPROM
	;each 5x8 font matrix takes 5 bytes and is stored rotated 90 degrees


	.ORG 0

	;zero
	.DB     __ooooo_
	.DB     _o_____o
	.DB     _o_____o
	.DB     _o_____o
	.DB     __ooooo_
	;one
	.DB     ________
	.DB     _o____o_
	.DB     _ooooooo
	.DB     _o______
	.DB     ________
	;two
	.DB     _o____o_
	.DB     _oo____o
	.DB     _o_o___o
	.DB     _o__o__o
	.DB     _o___oo_
	;three
	.DB     __o___o_
	.DB     _o_____o
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     __oo_oo_
	;four
	.DB     ___oo___
	.DB     ___o_o__
	.DB     ___o__o_
	.DB     _ooooooo
	.DB     ___o____
	;five
	.DB     __o__ooo
	.DB     _o___o_o
	.DB     _o___o_o
	.DB     _o___o_o
	.DB     __ooo__o

	;six
	.DB     __ooooo_
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     __oo___o
	;seven
	.DB     _______o
	.DB     _ooo___o
	.DB     ____o__o
	.DB     _____o_o
	.DB     ______oo
	;eight
	.DB     __oo_oo_
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     __oo_oo_
	;nine
	.DB     _o___oo_
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     _o__o__o
	.DB     __ooooo_
	;Volts
	.DB     ___oo___
	.DB     __o_____
	.DB     _o______
	.DB     __o_____
	.DB     ___oo___
	;minus sign
	.DB     ____o___
	.DB     ____o___
	.DB     ____o___
	.DB     ____o___
	.DB     ________
	;dot
	.DB     _oo_____
	.DB     _oo_____
	;double dot
	.DB     __oo_oo_
	.DB     __oo_oo_

